server {
        server_name  teman.it.liu.se;
        root         /var/www/teman;

        # Load configuration files for the default server block.
        #include /etc/nginx/default.d/*.conf;

        location / {
           #expires -1;
        }

        error_page 404 /404.html;
        location = /40x.html {
        }

        error_page 500 502 503 504 /50x.html;
        location = /50x.html {
        }
}

server {
        listen 80;
        server_name  ntadigital.it.liu.se egg.it.liu.se;

        client_max_body_size 0;

        location = /favicon.ico {
           log_not_found off;
           access_log off;
        }
        location /system/ {

           auth_request /auth-verify;

           root /var/www/nta-digital-portal/private/uploads;
           #root /var/www/ntadigital_temp/public;
        }
        location /auth-verify {

          internal;
          proxy_pass http://localhost:3000/api/auth/verify;
          proxy_pass_request_body off;
          proxy_set_header Content-Length "";
          proxy_set_header X-Original-URI $request_uri;
        }
        location / {
          proxy_pass http://localhost:3000;
          proxy_http_version 1.1;
          proxy_set_header Upgrade $http_upgrade;
          proxy_set_header Connection 'upgrade';
          proxy_set_header Host $host;
          proxy_cache_bypass $http_upgrade;
        }
}
